본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Business Form+ management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Business Form+ management

This document explains how to use the Business Form+ API.

Get Business Form+ response

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/bizFormPlus/reportBusiness token

Retrieves the response results of Business Form+ created in an ad account.

Send a GET request with the business token and ad account ID (adAccountId) in the headers, and pass the Business Form+ ID (formId) as a query parameter.

On success, the API returns the list of response results and cursor information for the next page. On failure, refer to Error code to identify the cause.

Conditions for calling

To call the Business Form+ response result retrieval API, you must meet the below conditions.

  • The business registration numbers registered in the Kakao Developers app and the ad account must match.
  • User consent to the consent item for retrieving Business Form+ response results among the Business access permission consent items.
  • Hold permission for the Moment ad account to retrieve and form report download permission for the form ID to retrieve.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Auth header for the request, authenticated with a Business token
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account ID
O
Query parameters
NameTypeDescriptionRequired
formIdStringBusiness Form+ form ID (Example: MA-1111)O
cursorIdLongCursor ID for paginationX
sizeIntegerNumber of records to retrieve (default: 100, max: 1,000)X

Response

Body
NameTypeDescription
codeIntegerError code
messageStringResult message
dataData[]Detailed data for each report item
hasNextBooleanWhether a next page exists
nextCursorLongCursor ID for the next page request
Data
NameTypeDescription
applyIdLongResponse ID
submittedAtStringResponse submission date and time
expiresAtStringResponse expiration date and time, 90 days after submission
emailStringEmail
birthDateStringBirth date in YYYY-MM-DD format
genderStringGender, one of the following:
  • MALE
  • FEMALE
nameStringName
phoneNumberStringPhone number
addressStringAddress
answersAnswer[]Survey response values
optionalAgreementsOptionalAgreement[]List of optional consent items
channelAddStatusStringChannel add status (Example: -, already added, Y, N)
inflowSourceStringInflow source (for example, Moment or ETC)
Answer
NameTypeDescription
questionStringQuestion
answerStringAnswer
OptionalAgreement
NameTypeDescription
titleStringTitle
agreeBooleanWhether the user agreed

Example

Request
curl -v -G GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/bizFormPlus/report" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-d "formId=${FORM_ID}" \
-d "size=100"
Response
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"code": 200,
"message": "Success",
"data": [
{
"applyId": 526,
"submittedAt": "2026-03-20T08:27:15.848222+09:00",
"expiresAt": "2026-06-18T08:27:15.848222+09:00",
"email": "test1@example.com",
"birthDate": "${BIRTH_DATE}",
"gender": "MALE",
"name": "${NAME}",
"phoneNumber": "${PHONE_NUMBER}",
"address": "${ADDRESS}",
"answers": [
{
"question": "Single selection title",
"answer": "3"
},
{
"question": "Multiple selection title",
"answer": "1, 3, None"
},
{
"question": "Descriptive title",
"answer": "This is a long-text response generated for test data creation. It simulates an actual user's response."
},
{
"question": "Date title",
"answer": "2024-04-11"
},
{
"question": "Number title",
"answer": "37"
}
],
"optionalAgreements": [
{
"title": "Optional consent title",
"agree": false
}
],
"channelAddStatus": "Y",
"inflowSource": "MOMENT"
}
],
"hasNext": true,
"nextCursor": 526
}

See more

Was this helpful?